Index: pg_controldata.c
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/bin/pg_controldata/pg_controldata.c,v
retrieving revision 1.7
diff -c -r1.7 pg_controldata.c
*** pg_controldata.c	2002/10/18 22:05:35	1.7
--- pg_controldata.c	2003/01/02 08:56:33
***************
*** 26,32 ****
  usage(const char *progname)
  {
  	printf(_("%s displays PostgreSQL database cluster control information.\n\n"), progname);
! 	printf(_("Usage:\n  %s [DATADIR]\n\n"), progname);
  	printf(_("If not data directory is specified, the environment variable PGDATA\nis used.\n\n"));
  	printf(_("Report bugs to <pgsql-bugs@postgresql.org>.\n"));
  }
--- 26,43 ----
  usage(const char *progname)
  {
  	printf(_("%s displays PostgreSQL database cluster control information.\n\n"), progname);
! 	printf
! 	(
! 		_(
! 			"Usage:\n"
! 			"  %s [OPTION]\n\n"
! 			"Options:\n"
! 			"  DATADIR        show cluster control information for DATADIR\n"
! 			"  -?, --help     display this help and exit\n"
! 			"  -V, --version  display pg_controldata's version and exit\n\n"
! 		),
! 		progname
! 	);
  	printf(_("If not data directory is specified, the environment variable PGDATA\nis used.\n\n"));
  	printf(_("Report bugs to <pgsql-bugs@postgresql.org>.\n"));
  }
***************
*** 97,102 ****
--- 108,114 ----
  	if (DataDir == NULL)
  	{
  		fprintf(stderr, _("%s: no data directory specified\n"), progname);
+ 		fprintf(stderr, _("Try '%s --help' for more information.\n"), progname);
  		exit(1);
  	}
  
